diff --git a/libr/bin/format/elf/elf.c b/libr/bin/format/elf/elf.c
index a8e5e48d502..2c10e5761ea 100644
--- a/libr/bin/format/elf/elf.c
+++ b/libr/bin/format/elf/elf.c
@@ -3955,7 +3955,7 @@ char *Elf_(r_bin_elf_compiler)(ELFOBJ *bin) {
 	}
 
 	ut64 off = section->offset;
-	int sz = section->size;
+	int sz = R_MIN (section->size, 128);
 	if (sz < 1) {
 		return NULL;
 	}
@@ -3967,20 +3967,6 @@ char *Elf_(r_bin_elf_compiler)(ELFOBJ *bin) {
 		free (buf);
 		return NULL;
 	}
-
 	buf[sz] = 0;
-	char *ptr = buf;
-
-	do {
-		char *p = strchr (ptr, '\0');
-		size_t psz = (p - ptr);
-		ptr = p;
-		sz -= psz + 1;
-		if (sz > 1) {
-			*ptr = '/';
-			ptr++;
-		}
-	} while (sz > 0);
-
 	return buf;
 }
